API DocumentationManufacturer customer controller

Create a customer in an organization

Creates a new customer that belongs to a specific organization

POST
/api/manufacturer/v1/customer/organisation/{organisationId}
AuthorizationBearer <token>

In: header

Path Parameters

organisationIdinteger

ID of the organization to add the customer to

Formatint64
firstName?string
lastName?string
email?string
phoneNumber?string
language?string
Value in"EN" | "DE" | "EL" | "FR" | "NL" | "SL" | "DA" | "TR" | "PL" | "ES" | "BG" | "IT" | "UK" | "RU"
notificationPreferencestring
Value in"EMAIL" | "SMS" | "WHATSAPP"
affiliate?string
organisationName?string
gstNumber?string
taxExempt?boolean

Response Body

curl -X POST "http://m-api-dev.phas.io/api/manufacturer/v1/customer/organisation/1" \  -H "Content-Type: application/json" \  -d '{    "notificationPreference": "EMAIL"  }'
"string"
"string"
Empty

Last updated on